COGO POINTS TO POINTS

Hi,

Can someone help me how to convert cogo points into points? Thanks!

Comments

  • While BricsCAD does an adequate job of displaying them, the properties do not display in the PROPS dialog, they don't list and there is no way to access them from any API I'm aware of. So currently you should ask the provider for an ascii output in AUF (which is P,N,E,Z,D).

  • Roy Klein Gebbinck
    edited June 2020

    In the example that I found on the www exploding a cogo point (AECC_COGO_POINT) results in a text and a circle. The code below is based on that. It explodes the cogo points, creates point objects at the center of the circles, deletes the circles, but leaves the texts.

    (defun c:BKG_Cogo2Point ( / *error* doc oldEnmLst spc ss)
    
      (defun *error* (msg)
        (setvar 'cmdecho 1)
        (vla-endundomark doc)
        (princ)
      )
    
      (setq doc (vla-get-activedocument (vlax-get-acad-object)))
      (vla-endundomark doc)
      (vla-startundomark doc)
      (if (setq ss (ssget '((0 . "AECC_COGO_POINT") (410 . "Model"))))
        (progn
          (setq spc (vla-get-modelspace doc))
          (setq oldEnmLst (vle-selectionset->list (ssget "_X" '((410 . "Model"))))) ; Existing enames.
          (setvar 'cmdecho 0)
          (vl-cmdf "_.explode" ss)
          (setvar 'cmdecho 1)
          (foreach enm (vle-selectionset->list (ssget "_X" '((410 . "Model"))))
            (if
              (and
                (not (vl-position enm oldEnmLst))
                (= "CIRCLE" (vle-entget 0 enm)) ; Circle marks the point.
              )
              (progn
                (vla-addpoint spc (vle-entget 10 enm))
                (entdel enm) ; Only delete the circle.
              )
            )
          )
        )
      )
      (vla-endundomark doc)
      (princ)
    )
    
  • CogoPoints don't always contain a circle, one example I just opened had two crossing lines for an X that disappeared when exploded. Neither of the resulting text objects were inserted at the point coordinates. Bricsys needs to work on this and in the meantime users will need an ASCII export.

  • Surveyors have options for points to be a range of symbols as Terry said.
    I agree modern CAD should have easy options to deal with this.
    Ascii import is such a useful, quick way to import data.
    Conversely the other way.
    Design to set out.
    I had a road centreline sent me from a design package and it was 1.5 km long poly line of 2.5 metre segments. Heavy going.
    They then sent me an Ascii file of points in dxf format.

    There's a lot of overlaps in needs that we (of differing occupations) could all benefit from.

    Isaiahnarra did you get the problem sorted?

  • aridzv
    edited August 2022
    Hi.
    I have encountered the same problom.
    I got a drawing with COGO points and like @Terry Dotson wrote, the COGO point marker had two crossing lines for an X.
    In my case the crossing lines did not disappeared when I exploded the COGO points,
    so after exploding the COGO points I've used a lisp called INTLINES (find here) to convert the two crossing lines ( which was the COGO points "X" mark) to points,
    but is there a better solution to this issue?
    Because sometimes the COGO points symbols can be squares (or any other shape)?

    Thanks,
    Ari.

    *I've posted a feature request on bricsys support about this - hope it gets resolved...
  • Bricsys support came back with an answer,
    and apperantly there is a command called CIVIL3DIMPORT that do it, and more.

    Ari.
Sign In or Register to comment.

Howdy, Stranger!

It looks like you're new here. Click one of the buttons on the top bar to get involved!